> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Meta agent UI skill

> Fetch one interactive message rule.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills/{ui_skill_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/connections/{connection_id}/whatsapp/phone-numbers/{phone_number_id}/meta-agent/ui-skills/{ui_skill_id}:
    get:
      tags:
        - WhatsApp Meta agent
      summary: Get Meta agent UI skill
      description: Fetch one interactive message rule.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the org
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the connection
          name: connection_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the WhatsApp phone number the Meta agent runs on
          name: phone_number_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the UI skill
          name: ui_skill_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WhatsAppMetaAgentUiSkillSchema'
components:
  schemas:
    WhatsAppMetaAgentUiSkillSchema:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        component_type:
          $ref: '#/components/schemas/WhatsAppMetaAgentUiComponentTypeSchema'
        status:
          $ref: '#/components/schemas/WhatsAppMetaAgentUiSkillStatusSchema'
        instruction:
          type: string
        flow_id:
          type: number
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - title
        - component_type
        - status
        - instruction
    WhatsAppMetaAgentUiComponentTypeSchema:
      type: string
      enum:
        - carousel_quick_reply
        - carousel_url
        - cta_url
        - flow
        - image
        - interactive_list
        - interactive_reply_buttons
        - location
        - location_request
    WhatsAppMetaAgentUiSkillStatusSchema:
      type: string
      enum:
        - enabled
        - disabled
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````